<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.sale.mapper.contract.ContractBudgetMapper">
    <select id="getPage" resultType="com.fjhx.sale.entity.contract.vo.ContractBudgetVo">
        select
            cb.id,
            cb.contract_id,
            cb.trailer_fee_currency,
            cb.trailer_fee,
            cb.customs_fee_currency,
            cb.customs_fee,
            cb.agency_fee_currency,
            cb.agency_fee,
            cb.port_mixed_fee_currency,
            cb.port_mixed_fee,
            cb.inspection_red_pack_currency,
            cb.inspection_red_pack,
            cb.commission_currency,
            cb.commission,
            cb.other_currency,
            cb.other,
            cb.create_user,
            cb.create_time,
            cb.update_time,
            cb.update_user
        from contract_budget cb
            ${ew.customSqlSegment}
    </select>

</mapper>
